# $Revision: 1.4 $, $Date: 2004/03/31 19:49:18 $
Summary:	Library for interacting with RFC2229 dictionary servers
Summary(pl):	Biblioteka do komunikacji z serwerami swnikw zgodnymi z RFC2229
Name:		libdict
Version:	0.9
Release:	2
License:	BSD-like
Group:		Development/Libraries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
# Source0-md5:	42cc35f1bef8bbfbf7cecad716337081
Patch0:		%{name}-c++.patch
URL:		http://www.dict.org/
# for test program
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdict is a small C library that provides access to RFC2229
dictionary servers. This is done through a series of functions, each
representing a major function of the dict server.

%description -l pl
libdict to maa biblioteka w C dajca dostp do serwerw sownikw
zgodnych z RFC2229. Suy do tego szereg funkcji, z ktrych kada
reprezentuje du funkcj serwera dict.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Iinclude -I../include -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_mandir}/man3} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install src/libdict.a $RPM_BUILD_ROOT%{_libdir}
install src/include/*.h $RPM_BUILD_ROOT%{_includedir}
install src/examples/*.c* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install doc/libdict.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{LICENSE,responses,version-history}
%{_libdir}/lib*.a
%{_includedir}/*.h
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdict.spec,v $
Revision 1.4  2004/03/31 19:49:18  qboosh
- added c++ patch, BR: libstdc++-devel, release 2 for Ac

Revision 1.3  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/08/15 21:58:47  qboosh
- new
